Subject: Re: [PATCH v4] Add default merge options for all branches

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 May 2011 15:51:00 -0700

Jonathan Nieder <[email-masked]> writes:

> In what sense are they overridden?  For example, if I write
>
> 	[branch "*"]
> 		mergeoptions = --no-ff
>
> 	[branch "master"]
> 		mergeoptions = --log=5
>
> and merge another branch into master, will the effect be as though I
> wrote --no-ff --log=5 or just --log=5?

I think the latter is overriding, and the former is cumulative.

> I'm starting to suspect it might be simpler to add a new "[merge] no-ff"
> configuration item, like the existing "[merge] log".

Surely

	[merge]
        	log = false
                ff = false

would be a lot simpler and probably far easier to explain.

Does

	[merge]
		log = false
	[branch "master"]
        	mergeoptions = --log=5

do the right thing with the current codebase?